[gnome-characters] build: Stop using gnome-autogen.sh



commit 2f9203e6835673265279ab6fc5b7a2c9abc81ec6
Author: Daiki Ueno <dueno src gnome org>
Date:   Wed Oct 7 10:57:10 2015 +0900

    build: Stop using gnome-autogen.sh
    
    https://wiki.gnome.org/Projects/GnomeCommon/Migration

 autogen.sh |   53 +++++++++++++++++++++++++++++------------------------
 1 files changed, 29 insertions(+), 24 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index b352eec..5316f47 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,33 +1,30 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=`pwd`
 
-ACLOCAL_FLAGS="${ACLOCAL_FLAGS}"
+cd $srcdir
 
-test -f $srcdir/configure.ac || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level gnome-characters directory"
-    exit 1
+(test -f configure.ac) || {
+        echo "*** ERROR: Directory "\`$srcdir\'" does not look like the top-level project directory ***"
+        exit 1
 }
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from GNOME Git (or from"
-    echo "your OS vendor's package manager)."
-    exit 1
-}
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' configure.ac`
 
-# gllib/unictype contains gperf generated source code
-: ${GPERF=gperf}
-"$GPERF" --version 2>&1 >/dev/null || {
-    echo "You need to install gperf."
-    exit 1
-}
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+        echo "*** WARNING: I am going to run \`configure' with no arguments." >&2
+        echo "*** If you wish to pass any to it, please specify them on the" >&2
+        echo "*** \`$0\' command line." >&2
+        echo "" >&2
+fi
+
+aclocal --install || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
 
-(cd "$srcdir" ;
-test -d m4 || mkdir m4/ ;
-git submodule update --init --recursive ;
 test -z "$GNULIB_SRCDIR" || \
     "$GNULIB_SRCDIR"/gnulib-tool --import \
                    --source-base=gllib --m4-base=glm4 --tests-base=gltests \
@@ -45,7 +42,15 @@ test -z "$GNULIB_SRCDIR" || \
                    uninorm/canonical-decomposition \
                    unistr/u32-to-u8 \
                    unitypes \
-                   uniname/uniname ;
-)
-. gnome-autogen.sh
+                   uniname/uniname
+
+cd $olddir
+if [ "$NOCONFIGURE" = "" ]; then
+        $srcdir/configure "$@" || exit 1
 
+        if [ "$1" = "--help" ]; then exit 0 else
+                echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]